package com.ruoyi.system.service;

import com.ruoyi.system.domain.ZsProduct;
import com.ruoyi.system.domain.vo.ZsProductVo;
import com.ruoyi.system.domain.bo.ZsProductBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 站点产品管理Service接口
 *
 * @author 王强
 * @date 2025-04-30
 */
public interface IZsProductService {

    /**
     * 查询站点产品管理
     */
    ZsProductVo queryById(Long id);

    /**
     * 查询站点产品管理列表
     */
    TableDataInfo<ZsProductVo> queryPageList(ZsProductBo bo, PageQuery pageQuery);

    /**
     * 查询站点产品管理列表
     */
    List<ZsProductVo> queryList(ZsProductBo bo);

    /**
     * 新增站点产品管理
     */
    Boolean insertByBo(ZsProductBo bo);

    /**
     * 修改站点产品管理
     */
    Boolean updateByBo(ZsProductBo bo);

    /**
     * 校验并批量删除站点产品管理信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
